<?php
/* --------------------------------------------------------------
   dependent.inc.php 2017-11-27
   Gambio GmbH
   http://www.gambio.de
   Copyright © 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

// Add export_type for google shopping

$check = $this->query('SELECT * FROM `export_types` WHERE `type_id` = 3 AND `language_id` = 1', true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `export_types`
					SET `name` = "Google Shopping",
						`language_id` = 1,
						`type_id` = 3';
	$t_success &= $this->query($query, true);
}

$check = $this->query('SELECT * FROM `export_types` WHERE `type_id` = 3 AND `language_id` = 2', true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `export_types`
					SET `name` = "Google Shopping",
						`language_id` = 2,
						`type_id` = 3';
	$t_success &= $this->query($query, true);
}

if(!$this->table_column_exists('export_scheme_fields', 'status'))
{
	$query = 'ALTER TABLE `export_scheme_fields` ADD `status` tinyint(1) NOT NULL DEFAULT 1';
	$t_success &= $this->query($query, true);
}

$check = $this->query('SELECT * FROM `export_schemes` WHERE `type_id` = 3', true);
if($check->num_rows === 0)
{
	$query    = 'INSERT INTO `export_schemes`
					SET `type_id` = 3,
						`scheme_name` = "[Gambio] Google Shopping",
						`filename` = "google_shopping_feed.txt",
						`field_separator` = "\\\t",
						`field_quotes` = "",
						`date_created` = NOW(),
						`date_modified` = NOW(),
						`date_last_export` = "0000-00-00 00:00:00",
						`created_by` = "gambio",
						`customers_status_id` = 1,
						`currencies_id` = 1,
						`languages_id` = 2,
						`campaign_id` = 0,
						`shipping_free_minimum` = 0.0000,
						`quantity_minimum` = 0.0000,
						`export_attributes` = 0,
						`export_properties` = 0,
						`export_features` = 0,
						`cronjob_allowed` = 0,
						`cronjob_days` = "Mon|Tue|Wed|Thu|Fri|Sat|Sun",
						`cronjob_hour` = "3",
						`cronjob_interval` = "0"';
	$schemeId = $this->query($query);
	$t_success &= (boolean)$schemeId;
	
	if($schemeId !== false)
	{
		$query = 'INSERT INTO `export_scheme_fields` (`scheme_id`, `field_name`, `field_content`, `field_content_default`, `created_by`, `sort_order`, `status`)
						VALUES
							(' . $schemeId . ', "ID", "{p_id}", "", "gambio", 1, 1),
							(' . $schemeId . ', "Titel", "{p_google_name_vpe_suffix|truncate:150:\"...\"}", "", "gambio", 2, 1),
							(' . $schemeId . ', "Beschreibung", "{p_description|truncate:5000:\"...\"}", "", "gambio", 3, 1),
							(' . $schemeId . ', "Google Produktkategorie", "{p_google_category|truncate:750:\"...\"}", "", "gambio", 4, 1),
							(' . $schemeId . ', "Produkttyp", "{c_path}", "", "gambio", 5, 1),
							(' . $schemeId . ', "Link", "{p_link}", "", "gambio", 6, 1),
							(' . $schemeId . ', "Bildlink", "{p_popup_image}", "", "gambio", 7, 1),
							(' . $schemeId . ', "Zusätzlicher Bildlink", "{p_popup_images}", "", "gambio", 8, 1),
							(' . $schemeId . ', "Zustand", "{p_google_export_condition}", "", "gambio", 9, 1),
							(' . $schemeId . ', "Verfügbarkeit", "{p_google_export_availability}", "", "gambio", 10, 1),
							(' . $schemeId . ', "Preis", "{p_google_price}", "", "gambio", 11, 1),
							(' . $schemeId . ', "Sonderangebotspreis", "{p_google_special_price}", "", "gambio", 12, 1),
							(' . $schemeId . ', "Sonderangebotszeitraum", "{p_special_period}", "", "gambio", 13, 1),
							(' . $schemeId . ', "Marke", "{brand_name|truncate:70:\"...\"}", "", "gambio", 14, 1),
							(' . $schemeId . ', "GTIN", "{p_google_export_gtin}", "", "gambio", 15, 1),
							(' . $schemeId . ', "MPN", "{code_mpn}", "", "gambio", 16, 1),
							(' . $schemeId . ', "Kennzeichnung existiert", "{p_google_identifier_exists}", "", "gambio", 17, 1),
							(' . $schemeId . ', "Geschlecht", "{gender}", "", "gambio", 18, 1),
							(' . $schemeId . ', "Altersgruppe", "{age_group}", "", "gambio", 19, 1),
							(' . $schemeId . ', "Versandgewicht", "{p_weight_gram} g", "", "gambio", 20, 1),
							(' . $schemeId . ', "Nicht jugendfrei", "{p_google_fsk18}", "", "gambio", 21, 1),
							(' . $schemeId . ', "Grundpreis Maß", "{p_google_unit_price_measure}", "", "gambio", 22, 1),
							(' . $schemeId . ', "Grundpreis Einheitsmaß", "{p_google_unit_pricing_base_measure}", "", "gambio", 23, 1),
							(' . $schemeId . ', "Verfallsdatum", "{p_expiration_date}", "", "gambio", 24, 1),
							(' . $schemeId . ', "Farbe", "{collective_field||Farbe||attributes;additional_fields}", "", "gambio", 25, 1),
							(' . $schemeId . ', "Größe", "{collective_field||Größe||attributes;additional_fields}", "", "gambio", 26, 1),
							(' . $schemeId . ', "Material", "{collective_field||Material||attributes;additional_fields}", "", "gambio", 27, 1),
							(' . $schemeId . ', "Muster", "{collective_field||Muster||attributes;additional_fields}", "", "gambio", 28, 1),
							(' . $schemeId . ', "Produktgruppe", "{p_google_product_group}", "", "gambio", 29, 1)';
		$t_success &= $this->query($query, true);
	}
}

// Add Google Adwords Connection Status
$check = $this->query('SELECT * FROM `gm_configuration` WHERE `gm_key`= "GOOGLE_ADWORDS_CONNECTION_STATUS"', true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `gm_configuration` (gm_key, gm_value) VALUES ("GOOGLE_ADWORDS_CONNECTION_STATUS", "false")';
	$t_success &= $this->query($query, true);
}

// Add Google Adwords refresh token
$check = $this->query('SELECT * FROM `gm_configuration` WHERE `gm_key`= "GOOGLE_ADWORDS_REFRESH_TOKEN"', true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `gm_configuration` (gm_key) VALUES ("GOOGLE_ADWORDS_REFRESH_TOKEN")';
	$t_success &= $this->query($query, true);
}

// Add Google Adwords Campaigns Overview API Url
$check = $this->query('SELECT * FROM `gm_configuration` WHERE `gm_key`= "GOOGLE_ADWORDS_API_URL"',
                      true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `gm_configuration` (gm_key, gm_value) VALUES ("GOOGLE_ADWORDS_API_URL", "https://googleservices.gambio.com/a/index.php/api/v1")';
	$t_success &= $this->query($query, true);
}

$check = $this->query('SELECT * FROM `gm_configuration` WHERE `gm_key`= "GOOGLE_ADWORDS_APP_URL"',
                      true);
if($check->num_rows === 0)
{
	$query = 'INSERT INTO `gm_configuration` (gm_key, gm_value) VALUES ("GOOGLE_ADWORDS_APP_URL", "https://googleservices.gambio.com/index.html")';
	$t_success &= $this->query($query, true);
}

// Add table for Google AdWords client customer ids
$t_check = $this->query("SHOW TABLES LIKE 'google_adwords_client_customers'", true);
if($t_check->num_rows === 0)
{
	$query = '
		CREATE TABLE `google_adwords_client_customers` (
		  `client_customer_id` varchar(12) NOT NULL,
		  `primary` int(1) NOT NULL DEFAULT \'0\',
		  PRIMARY KEY (`client_customer_id`)
		) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;
	';
	$t_success &= $this->query($query, true);
}

$t_check = $this->table_column_exists('export_schemes', 'export_all_new_ones');
if (!$t_check)
{
    $query = '
		ALTER TABLE `export_schemes` ADD COLUMN `export_all_new_ones` tinyint(1) NOT NULL DEFAULT "0";
	';
    $t_success &= $this->query($query, true);
}

$t_check = $this->table_column_exists('export_schemes', 'export_property_image');
if (!$t_check)
{
    $query = '
		ALTER TABLE `export_schemes` ADD COLUMN `export_property_image` tinyint(1) NOT NULL DEFAULT "0";
	';
    $t_success &= $this->query($query, true);
}

$t_check = $this->table_column_exists('export_schemes', 'amount_additional_image_files');
if (!$t_check)
{
    $query = '
		ALTER TABLE `export_schemes` ADD COLUMN `amount_additional_image_files` INT NOT NULL DEFAULT "99999";
	';
    $t_success &= $this->query($query, true);
}
