<?php
/* --------------------------------------------------------------
 GXHttpResponse.inc.php 2017-12-27
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2017 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

class GXHttpResponse
{
    /**
     * @var int
     */
    private $statusCode;
    /**
     * @var array
     */
    private $headers;
    /**
     * @var string
     */
    private $body;
    
    
    /**
     * CurlResponse constructor.
     *
     * @param int    $statusCode The response status code.
     * @param array  $headers    Http headers.
     * @param string $body       The response body.
     */
    public function __construct($statusCode, array $headers, $body)
    {
        $this->statusCode = $statusCode;
        $this->headers    = $headers;
        $this->body       = $body;
    }
    
    
    /**
     * Returns the HTTP status code of the cURL response.
     *
     * @return int
     */
    public function getStatusCode()
    {
        return $this->statusCode;
    }
    
    
    /**
     * Returns the HTTP headers of the cURL response.
     *
     * @return array
     */
    public function getHeaders()
    {
        return $this->headers;
    }
    
    
    /**
     * Returns the body content of the cURL response.
     *
     * @return string
     */
    public function getBody()
    {
        return $this->body;
    }
}