<?php
/* --------------------------------------------------------------
 GoogleOAuthController.inc.php 2017-12-22
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2017 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

class GoogleOAuthController extends AdminHttpViewController
{
    public function actionDefault()
    {
        $languageTextManager = MainFactory::create('LanguageTextManager', 'google_services_oauth',
            $_SESSION['languages_id']);
        $title               = new NonEmptyStringType($languageTextManager->get_text('page_title'));
        $template            = new ExistingFile(new NonEmptyStringType(DIR_FS_ADMIN
                                                                       . 'html/content/google_services/auth/connect_account.html'));
        $jsBaseUrl           = 'html/assets/javascript/modules/google_services';
        
        $data = MainFactory::create('KeyValueCollection', [
            'iFrameUrl' => gm_get_conf('GOOGLE_ADWORDS_APP_URL') . '#connect',
            'origin'    => HTTP_SERVER . DIR_WS_CATALOG,
            'error'     => (int)$this->_getQueryParameter('error'),
            'language'  => $_SESSION['language_code'],
        ]);
        
        $assets = MainFactory::create('AssetCollection', [
            MainFactory::create('Asset', 'html/assets/styles/modules/google_services/connect_account.css'),
            MainFactory::create('Asset', $jsBaseUrl . '/vendor/iframe_resizer.js'),
            MainFactory::create('Asset', $jsBaseUrl . '/extensions/resize_iframe.js'),
        ]);
        
        return MainFactory::create('AdminLayoutHttpControllerResponse', $title, $template, $data, $assets);
    }
    
    
    public function actionReset()
    {
        $db = StaticGXCoreLoader::getDatabaseQueryBuilder();
        $db->truncate('google_adwords_client_customers');
        
        gm_set_conf('GOOGLE_ADWORDS_CONNECTION_STATUS', '');
        gm_set_conf('GOOGLE_ADWORDS_REFRESH_TOKEN', '');
        
        return new RedirectHttpControllerResponse('./admin.php?do=GoogleOAuth');
    }
}