<?php
/* --------------------------------------------------------------
 GoogleAdminLayoutHttpControllerResponse.inc.php 2017-12-22
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2017 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

class GoogleAdminLayoutHttpControllerResponse extends GoogleAdminLayoutHttpControllerResponse_parent
{
    protected function _setInitialMessages()
    {
        $languageTextManager = MainFactory::create('LanguageTextManager', 'google_services_oauth',
            $_SESSION['languages_id']);
    
        $connected   = gm_get_conf('GOOGLE_ADWORDS_CONNECTION_STATUS') === 'true' ? 'data-connected' : '';
        $translation = $connected ? $languageTextManager->get_text('TEXT_GOOGLE_ADWORDS_CONNECTED') : $languageTextManager->get_text('TEXT_GOOGLE_ADWORDS_DISCONNECTED');
        $text        = 'data-text="' . $translation . '"';
    
        $postfix = file_exists(DIR_FS_CATALOG . '.dev-environment') ? '' : '.min';
        $src     = HTTP_SERVER . DIR_WS_ADMIN
                   . 'html/assets/javascript/modules/google_services/extenders/footer_google_state' . $postfix . '.js';
    
        $contentData = $this->contentView->get_content_array();
    
        $scripts = $contentData['dynamic_script_assets'] . PHP_EOL . '<script src="' . $src . '" ' . $connected . ' '
                   . $text . '></script>';
        $this->contentView->set_content_data('dynamic_script_assets', $scripts);
    
        return parent::_setInitialMessages();
    }
}